# Class XmlHandler

java.lang.Object
org.xml.sax.helpers.DefaultHandler
org.jmol.adapter.readers.xml.XmlHandler

All Implemented Interfaces:
  `ContentHandler, DTDHandler, EntityResolver, ErrorHandler`

public class XmlHandler extends DefaultHandler
a SAX handler -- Java only

## Constructor Summary

Constructors
Constructor
Description
`XmlHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`characters(char[] ch, int start, int length)`
`void`
`endDocument()`
`void`
`endElement(String uri, String localName, String qName)`
`void`
`error(SAXParseException exception)`
`void`
`fatalError(SAXParseException exception)`
`InputSource`
`resolveEntity(String name, String publicId, String baseURI, String systemId)`
`void`
`startDocument()`
`void`
`startElement(String namespaceURI, String localName, String nodeName, Attributes attributes)`
`void`
`warning(SAXParseException exception)`

### Methods inherited from class DefaultHandler

`endPrefixMapping, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startPrefixMapping, unparsedEntityDecl`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface ContentHandler

`declaration`

## Constructor Details

### XmlHandler

public XmlHandler()

## Method Details

### startDocument

public void startDocument()

Specified by:
  `startDocument` in interface `ContentHandler`
Overrides:
  `startDocument` in class `DefaultHandler`

### endDocument

public void endDocument()

Specified by:
  `endDocument` in interface `ContentHandler`
Overrides:
  `endDocument` in class `DefaultHandler`

### startElement

public void startElement(String namespaceURI, String localName, String nodeName, Attributes attributes)

Specified by:
  `startElement` in interface `ContentHandler`
Overrides:
  `startElement` in class `DefaultHandler`

### endElement

public void endElement(String uri, String localName, String qName)

Specified by:
  `endElement` in interface `ContentHandler`
Overrides:
  `endElement` in class `DefaultHandler`

### characters

public void characters(char[] ch, int start, int length)

Specified by:
  `characters` in interface `ContentHandler`
Overrides:
  `characters` in class `DefaultHandler`

### resolveEntity

public InputSource resolveEntity(String name, String publicId, String baseURI, String systemId)

### error

public void error(SAXParseException exception)

Specified by:
  `error` in interface `ErrorHandler`
Overrides:
  `error` in class `DefaultHandler`

### fatalError

public void fatalError(SAXParseException exception)

Specified by:
  `fatalError` in interface `ErrorHandler`
Overrides:
  `fatalError` in class `DefaultHandler`

### warning

public void warning(SAXParseException exception)

Specified by:
  `warning` in interface `ErrorHandler`
Overrides:
  `warning` in class `DefaultHandler`